Bug 481674 - dvorak keymap loaded on the console in a default norwegian configuration
dvorak keymap loaded on the console in a default norwegian configuration
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 18:41 EST by Kjartan Maraas
Modified: 2009-01-29 08:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 08:56:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2009-01-26 18:41:24 EST
Description of problem:

I ended up with dvorak as the default console keymap somewhere along the way this rawhide cycle. Not sure which package is responsible for loading the keymap but it's really hard to type a password when you have no visual feedback and no idea where the letters are placed :-)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2009-01-27 11:17:37 EST
What does your /etc/sysconfig/i18n have? If you do 'mkinitrd -v -f ...', what keymap is it putting in the initrd?
Comment 2 Kjartan Maraas 2009-01-27 16:04:07 EST
[kmaraas@localhost interfaces]$ cat /etc/sysconfig/keyboard 
KEYBOARDTYPE="pc"
KEYTABLE="no"
LAYOUT="no"
MODEL="pc105"
OPTIONS=""
VARIANT=""

mkinitrd...

resolving for MODULES
and that has items of 
resolving for availmodules
and that has items of 
/etc/sysconfig/keyboard -> /tmp/initrd.VIV5tK/etc/sysconfig/keyboard
/bin/loadkeys -> /tmp/initrd.VIV5tK/bin/loadkeys
/lib/kbd/keymaps/i386/dvorak/no.map.gz -> /tmp/initrd.VIV5tK/lib/kbd/keymaps/i386/dvorak/no.map.gz
/lib/kbd/keymaps/i386/include/linux-with-alt-and-altgr.inc -> /tmp/initrd.VIV5tK/lib/kbd/keymaps/i386/include/linux-with-alt-and-altgr.inc
/lib/kbd/keymaps/i386/include/linux-keys-bare.inc -> /tmp/initrd.VIV5tK/lib/kbd/keymaps/i386/include/linux-keys-bare.inc
/etc/sysconfig/i18n -> /tmp/initrd.VIV5tK/etc/sysconfig/i18n
/bin/setfont -> /tmp/initrd.VIV5tK/bin/setfont
/lib/kbd/consolefonts/latarcyrheb-sun16.psfu.gz -> /tmp/initrd.VIV5tK/lib/kbd/consolefonts/latarcyrheb-sun16.psfu.gz
Comment 3 Bill Nottingham 2009-01-28 11:06:16 EST
There's two keymaps with the same name. Well, that's not good.

Not sure how mkinitrd is supposed to decide which one to use automatically, so pushing to kbd.
Comment 4 Vitezslav Crhonek 2009-01-29 08:10:52 EST
Thanks for report. There are few other keymaps with conflicting names, I'll make them unique.

I know this problem was discussed on kbd mailing list a time ago and I wonder that it's still not fixed in upstream package.

Note You need to log in before you can comment on or make changes to this bug.